cmake_minimum_required(VERSION 3.12)

project(uart_driver C)

add_library(${PROJECT_NAME} "")
target_sources(${PROJECT_NAME}
        PRIVATE
        ${CMAKE_CURRENT_LIST_DIR}/AsyncComm.c
        ${CMAKE_CURRENT_LIST_DIR}/AsyncFrames.c
        INTERFACE
        ${CMAKE_CURRENT_LIST_DIR}/AsyncComm.h
        ${CMAKE_CURRENT_LIST_DIR}/AsyncFrames.h
)

target_include_directories(${PROJECT_NAME}
        INTERFACE
        ${CMAKE_CURRENT_LIST_DIR}
)

target_link_libraries(${PROJECT_NAME}  PUBLIC lwrb)
